Package com.sap.ai.sdk.core.model

# Class KpiResultSet

java.lang.Object
com.sap.ai.sdk.core.model.KpiResultSet

public class KpiResultSet extends Object
KpiResultSet

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `KpiResultSet()`
  Default constructor for KpiResultSet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `KpiResultSet`
  `addRowsItem(List<KpiResultRowItem> rowsItem)`
  Add one rows instance to this `KpiResultSet`.
  `static KpiResultSet`
  `create()`
  Create a new `KpiResultSet` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `KpiResultSet`.
  `Set<KpiColumnName>`
  `getHeader()`
  Get header
  `List<List<KpiResultRowItem>>`
  `getRows()`
  Get rows
  `int`
  `hashCode()`
  `KpiResultSet`
  `rows(List<List<KpiResultRowItem>> rows)`
  Set the rows of this `KpiResultSet` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `KpiResultSet` instance.
  `void`
  `setRows(List<List<KpiResultRowItem>> rows)`
  Set the rows of this `KpiResultSet` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `KpiResultSet` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KpiResultSet

    protected KpiResultSet()
    Default constructor for KpiResultSet.

- ## Method Details

  - ### getHeader

    @Nonnull public Set<KpiColumnName> getHeader()
    Get header
    Returns:
      header The header of this `KpiResultSet` instance.

  - ### rows

    @Nonnull public KpiResultSet rows(@Nullable List<List<KpiResultRowItem>> rows)
    Set the rows of this `KpiResultSet` instance and return the same instance.
    Parameters:
      `rows` - The rows of this `KpiResultSet`
    Returns:
      The same instance of this `KpiResultSet` class

  - ### addRowsItem

    @Nonnull public KpiResultSet addRowsItem(@Nonnull List<KpiResultRowItem> rowsItem)
    Add one rows instance to this `KpiResultSet`.
    Parameters:
      `rowsItem` - The rows that should be added
    Returns:
      The same instance of type `KpiResultSet`

  - ### getRows

    @Nonnull public List<List<KpiResultRowItem>> getRows()
    Get rows
    Returns:
      rows The rows of this `KpiResultSet` instance.

  - ### setRows

    public void setRows(@Nullable List<List<KpiResultRowItem>> rows)
    Set the rows of this `KpiResultSet` instance.
    Parameters:
      `rows` - The rows of this `KpiResultSet`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `KpiResultSet`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `KpiResultSet` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `KpiResultSet` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `KpiResultSet` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static KpiResultSet create()
    Create a new `KpiResultSet` instance. No arguments are required.